<!DOCTYPE html>
<html lang="en">

<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <link rel="stylesheet" href="login.css">
    <title>Document</title>
</head>

<body>
    <button onclick="document.getElementById('id02').style.display='block'" style="width:auto;">Register</button>
    <a href="/">Login</a>
    <div id="id02" class="modal">

        <form class="modal-content animate" action="/register" method="post">
            <div class="imgcontainer">
                <span onclick="document.getElementById('id02').style.display='none'" class="close"
                    title="Close Modal">&times;</span>
                <img src="https://www.w3schools.com/howto/img_avatar2.png" alt="Avatar" class="avatar">
            </div>

            <div class="container">
                <label for="name"><b>Username</b></label>
                <input type="text" placeholder="Enter Username" name="name" required>

                <label for="email"><b>Email</b></label>
                <input type="email" placeholder="Enter Email" name="email" required>

                <label for="psw"><b>Password</b></label>
                <input type="password" placeholder="Enter Password" name="psw" required>

                <button type="submit">Login</button>
                <label>
                    <input type="checkbox" checked="checked" name="remember"> Remember me
                </label>
            </div>
        </form>
    </div>

    <script>
        const modal = document.getElementById('id01');
        window.onclick = function (event) {
            if (event.target == modal) {
                modal.style.display = "none";
            }
        }
        const modal_2 = document.getElementById('id02');
        window.onclick = function (event) {
            if (event.target == modal_2) {
                modal_2.style.display = "none";
            }
        }
    </script>
    <script src="./server.js"></script>
</body>

</html>